package com.sagacloud.utils.objects;
/*
 * Author: Jxing
 * Create Time: 2018/12/13
 */

import java.util.HashSet;
import java.util.Set;

public class IncludeExclude {
    Set<String> includeSet;
    Set<String> excludeSet;

    boolean include;
    boolean exclude;

    public Set<String> getIncludeSet() {
        if(includeSet == null)
            includeSet = new HashSet<>();
        return includeSet;
    }

    public void setIncludeSet(Set<String> includeSet) {
        this.includeSet = includeSet;
    }

    public Set<String> getExcludeSet() {
        if(excludeSet == null)
            excludeSet = new HashSet<>();
        return excludeSet;
    }

    public void setExcludeSet(Set<String> excludeSet) {
        this.excludeSet = excludeSet;
    }

    public boolean isInclude() {
        return include;
    }

    public void setInclude(boolean include) {
        this.include = include;
    }

    public boolean isExclude() {
        return exclude;
    }

    public void setExclude(boolean exclude) {
        this.exclude = exclude;
    }
}
